# $Revision: 1.12 $, $Date: 2008/11/12 21:08:53 $
Summary:	Gopher support for KDE
Summary(pl.UTF-8):	Obsługa protokołu gopher dla KDE
Name:		kde-kio-gopher
Version:	20040214
Release:	4
License:	GPL
Group:		Applications
Source0:	http://download.berlios.de/kgopher/kio_gopher-%{version}.tar.bz2
# Source0-md5:	3e0ce7b35f48a8f7af64cd8789a332b2
Patch0:		%{name}-admin.patch
Patch1:		%{name}-am.patch
Patch2:		kde-ac260.patch
Patch3:		kde-ac260-lt.patch
URL:		http://kgopher.berlios.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gopher support for KDE.

%description -l pl.UTF-8
Obsługa protokołu gopher dla KDE.

%prep
%setup -q -n kio_gopher-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -rf po/xx

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/services}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kdelnkdir=%{_desktopdir} \

%find_lang kio_gopher --with-kde
mv $RPM_BUILD_ROOT{%{_desktopdir},%{_datadir}/services}/gopher.protocol
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/kio_gopher.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kio_gopher.lang
%defattr(644,root,root,755)
%{_libdir}/kde3/kio_gopher.so
%{_datadir}/services/gopher.protocol

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-kio-gopher.spec,v $
Revision 1.12  2008/11/12 21:08:53  arekm
- release 4

Revision 1.11  2008/11/06 17:01:19  arekm
- release 3

Revision 1.10  2007-12-30 17:04:21  glen
- builds, packages, works; rel 2

Revision 1.9  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.7  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.6  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.5  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.4  2006/02/10 13:15:58  qboosh
- complete URL

Revision 1.3  2006/02/08 20:07:20  djurban
- descriptions

Revision 1.2  2006/02/08 19:59:36  djurban
- remove changelog from template

Revision 1.1  2006/02/08 19:56:11  djurban
- begin work on packaging gopher ioslave
